curl --request PUT \
--url https://api.extole.io/v2/campaigns/{campaignId}{version}/flow-steps/{flowStepId}/apps/{flowStepAppId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"component_ids": [
"component_id"
],
"component_references": [
{
"component_id": "component_id",
"socket_names": [
"socket_name"
]
}
],
"description": "description",
"name": "name",
"type": {
"name": "name"
}
}
'import requests
url = "https://api.extole.io/v2/campaigns/{campaignId}{version}/flow-steps/{flowStepId}/apps/{flowStepAppId}"
payload = {
"component_ids": ["component_id"],
"component_references": [
{
"component_id": "component_id",
"socket_names": ["socket_name"]
}
],
"description": "description",
"name": "name",
"type": { "name": "name" }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
component_ids: ['component_id'],
component_references: [{component_id: 'component_id', socket_names: ['socket_name']}],
description: 'description',
name: 'name',
type: {name: 'name'}
})
};
fetch('https://api.extole.io/v2/campaigns/{campaignId}{version}/flow-steps/{flowStepId}/apps/{flowStepAppId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"description": "<string>",
"id": "<string>",
"name": "<string>",
"type": {
"name": "<string>"
}
}Update a campaign flow step app
Updates the specified campaign flow step app. Only fields present in the request body are changed. Returns the updated app.
Authorizations
Path Parameters
(/version/.+)?Body
Body of a PUT /v2/campaigns/{campaignId}{version:(/version/.+)?}/flow-steps/{flowStepId}/apps/{flowStepAppId} request.
Show child attributes
Show child attributes
Choose between static or dynamic description
Choose between static or dynamic name
Show child attributes
Show child attributes
Response
Successful response
Stored campaign flow step app definition. Fields name and description are unevaluated and appear in buildtime-evaluatable form.
Show child attributes
Show child attributes
The description as configured: a literal value, or an expression (type:string) when defined dynamically.
The name as configured: a literal value, or an expression (type:string) when defined dynamically.
Show child attributes
Show child attributes
